package entDownloader;

public final class Config {
	// {tag}, {uP_root} seront remplacs par les valeurs des variables correspondantes;
	
	/**URL de la racine du service */
	public static final String rootURL = "http://ent.u-clermont1.fr/";
	/**Adresse de la page de connexion */
	public static final String loginURL = "https://cas.u-clermont1.fr/cas/index.jsp?service=http://ent.u-clermont1.fr/Login";
	/**Adresse utilise dans la redirection http pour indiquer que la session a expir*/
	public static final String loginRequestURL = "http://ent.u-clermont1.fr/Login";
	/**Adresse du service de stockage de documents*/
	public static final String stockageURL = rootURL + "tag.{tag}.render.userLayoutRootNode.uP?uP_root={uP_root}&uP_sparam=activeTab&activeTab=8";
	/**Adresse de soumission du formulaire permettant la descente de l'arborescence*/
	public static final String goIntoDirectoryURL = rootURL + "tag.{tag}.render.userLayoutRootNode.target.{uP_root}.uP#{uP_root}";
	/**Adresse de tlchargement d'un fichier*/
	public static final String downloadFileURL = rootURL + "worker/download/tag.idempotent.worker.download.target.{uP_root}.uP";
	/**Adresse de retour dans le dossier parent*/
	public static final String directoryBackURL = rootURL + "tag.{tag}.render.userLayoutRootNode.target.{uP_root}.uP?modeDav=directory_back#{uP_root}";
	/**Adresse d'actualisation du dossier courant*/
	public static final String refreshDirURL = "http://ent.u-clermont1.fr/tag.{tag}.render.userLayoutRootNode.target.{uP_root}.uP?modeDav=show_current_dir_mode#{uP_root}";
	/**Active ou dsactive la reconnection automatique aprs l'expiration de la session*/
	public static final boolean autoLogin = true;
	public static boolean optimizePath = true;
}
